/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.fleet.vehicle.tree;

import javax.swing.Action;
import nl.cloudfarming.client.fleet.machine.tree.MachineCategoryChildren;
import nl.cloudfarming.client.fleet.machine.tree.MachineCategoryNode;
import nl.cloudfarming.client.fleet.model.Machine.MachineMetaInfo;
import nl.cloudfarming.client.fleet.model.Vehicle;
import nl.cloudfarming.client.fleet.vehicle.wizard.VehicleWizardAction;
import org.netbeans.api.project.Project;
import org.openide.nodes.Node;
import org.openide.util.NbBundle;
import org.openide.util.lookup.Lookups;

/**
 *
 * @author Wytse Visser
 */
public final class VehicleCategoryNode extends MachineCategoryNode {

    public VehicleCategoryNode(Node original, Project project) {
        super(original, new MachineCategoryChildren(original, Vehicle.class), project, Lookups.fixed(new VehicleCategoryInfo()));
    }

    @Override
    public Action[] getActions(boolean context) {
        return new Action[]{
                    new OpenAction(),
                    null,
                    new VehicleWizardAction(getProject())
                };
    }

    @NbBundle.Messages("displayName=Vehicles")
    public static class VehicleCategoryInfo implements MachineMetaInfo {

        private final String ICON_SMALL = "nl/cloudfarming/client/fleet/vehicle/folder_vehicles16.png";
        private final String ICON_LARGE = "nl/cloudfarming/client/fleet/vehicle/folder_vehicles32.png";

        @Override
        public String getDisplayName() {
            return Bundle.displayName();
        }

        @Override
        public String getSmallIconResource() {
            return ICON_SMALL;
        }

        @Override
        public String getLargeIconResource() {
            return ICON_LARGE;
        }
    }
}